Index: issm/trunk/src/c/shared/Enum/EnumToStringx.cpp
===================================================================
--- issm/trunk/src/c/shared/Enum/EnumToStringx.cpp	(revision 27035)
+++ issm/trunk/src/c/shared/Enum/EnumToStringx.cpp	(revision 27232)
@@ -19,4 +19,7 @@
 		case ParametersSTARTEnum : return "ParametersSTART";
 		case AdolcParamEnum : return "AdolcParam";
+		case AgeStabilizationEnum : return "AgeStabilization";
+		case AgeNumRequestedOutputsEnum : return "AgeNumRequestedOutputs";
+		case AgeRequestedOutputsEnum : return "AgeRequestedOutputs";
 		case AmrDeviatoricErrorGroupThresholdEnum : return "AmrDeviatoricErrorGroupThreshold";
 		case AmrDeviatoricErrorMaximumEnum : return "AmrDeviatoricErrorMaximum";
@@ -117,8 +120,10 @@
 		case CalvingTestIndependentRateEnum : return "CalvingTestIndependentRate";
 		case CalvingUseParamEnum : return "CalvingUseParam";
-		case CalvingScaleThetaEnum : return "CalvingScaleTheta";
-		case CalvingAmpAlphaEnum : return "CalvingAmpAlpha";
-		case CalvingMidpointEnum : return "CalvingMidpoint";
-		case CalvingNonlinearLawEnum : return "CalvingNonlinearLaw";
+		case CalvingThetaEnum : return "CalvingTheta";
+		case CalvingAlphaEnum : return "CalvingAlpha";
+		case CalvingXoffsetEnum : return "CalvingXoffset";
+		case CalvingYoffsetEnum : return "CalvingYoffset";
+		case CalvingVelLowerboundEnum : return "CalvingVelLowerbound";
+		case CalvingVelUpperboundEnum : return "CalvingVelUpperbound";
 		case ConfigurationTypeEnum : return "ConfigurationType";
 		case ConstantsGEnum : return "ConstantsG";
@@ -242,4 +247,5 @@
 		case HydrologydcSedimentPorosityEnum : return "HydrologydcSedimentPorosity";
 		case HydrologydcSedimentThicknessEnum : return "HydrologydcSedimentThickness";
+		case HydrologyStepAdaptEnum : return "HydrologyStepAdapt";
 		case HydrologydcTransferFlagEnum : return "HydrologydcTransferFlag";
 		case HydrologydcUnconfinedFlagEnum : return "HydrologydcUnconfinedFlag";
@@ -291,5 +297,8 @@
 		case LoveInnerCoreBoundaryEnum : return "LoveInnerCoreBoundary";
 		case LoveComplexComputationEnum : return "LoveComplexComputation";
+		case LoveQuadPrecisionEnum : return "LoveQuadPrecision";
 		case LoveIntStepsPerLayerEnum : return "LoveIntStepsPerLayer";
+		case LoveMinIntegrationStepsEnum : return "LoveMinIntegrationSteps";
+		case LoveMaxIntegrationdrEnum : return "LoveMaxIntegrationdr";
 		case LoveKernelsEnum : return "LoveKernels";
 		case LoveMu0Enum : return "LoveMu0";
@@ -303,4 +312,7 @@
 		case LoveUnderflowTolEnum : return "LoveUnderflowTol";
 		case LovePostWidderThresholdEnum : return "LovePostWidderThreshold";
+		case LoveDebugEnum : return "LoveDebug";
+		case LoveHypergeomNZEnum : return "LoveHypergeomNZ";
+		case LoveHypergeomNAlphaEnum : return "LoveHypergeomNAlpha";
 		case MassFluxSegmentsEnum : return "MassFluxSegments";
 		case MassFluxSegmentsPresentEnum : return "MassFluxSegmentsPresent";
@@ -389,4 +401,6 @@
 		case SolidearthSettingsElasticEnum : return "SolidearthSettingsElastic";
 		case SolidearthSettingsViscousEnum : return "SolidearthSettingsViscous";
+		case SolidearthSettingsSatelliteGraviEnum : return "SolidearthSettingsSatelliteGravi";
+		case SolidearthSettingsDegreeAccuracyEnum : return "SolidearthSettingsDegreeAccuracy";
 		case SealevelchangeGeometryDoneEnum : return "SealevelchangeGeometryDone";
 		case SealevelchangeViscousNumStepsEnum : return "SealevelchangeViscousNumSteps";
@@ -411,4 +425,7 @@
 		case LoveTimeFreqEnum : return "LoveTimeFreq";
 		case LoveIsTimeEnum : return "LoveIsTime";
+		case LoveHypergeomZEnum : return "LoveHypergeomZ";
+		case LoveHypergeomTable1Enum : return "LoveHypergeomTable1";
+		case LoveHypergeomTable2Enum : return "LoveHypergeomTable2";
 		case SealevelchangeGSelfAttractionEnum : return "SealevelchangeGSelfAttraction";
 		case SealevelchangeGViscoElasticEnum : return "SealevelchangeGViscoElastic";
@@ -515,4 +532,5 @@
 		case SmbT0dryEnum : return "SmbT0dry";
 		case SmbT0wetEnum : return "SmbT0wet";
+		case SmbTcIdxEnum : return "SmbTcIdx";
 		case SmbTeThreshEnum : return "SmbTeThresh";
 		case SmbTdiffEnum : return "SmbTdiff";
@@ -552,4 +570,5 @@
 		case ThermalWatercolumnUpperlimitEnum : return "ThermalWatercolumnUpperlimit";
 		case TimeEnum : return "Time";
+		case TimesteppingAverageForcingEnum : return "TimesteppingAverageForcing";
 		case TimesteppingCflCoefficientEnum : return "TimesteppingCflCoefficient";
 		case TimesteppingCouplingTimeEnum : return "TimesteppingCouplingTime";
@@ -568,4 +587,5 @@
 		case ToolkitsTypesEnum : return "ToolkitsTypes";
 		case TransientAmrFrequencyEnum : return "TransientAmrFrequency";
+		case TransientIsageEnum : return "TransientIsage";
 		case TransientIsdamageevolutionEnum : return "TransientIsdamageevolution";
 		case TransientIsesaEnum : return "TransientIsesa";
@@ -604,4 +624,5 @@
 		case AdjointyShearEnum : return "AdjointyShear";
 		case AdjointzEnum : return "Adjointz";
+		case AgeEnum : return "Age";
 		case AirEnum : return "Air";
 		case ApproximationEnum : return "Approximation";
@@ -733,4 +754,5 @@
 		case FrictionCoefficientEnum : return "FrictionCoefficient";
 		case FrictionCoefficientcoulombEnum : return "FrictionCoefficientcoulomb";
+		case FrictionCoulombWaterPressureEnum : return "FrictionCoulombWaterPressure";
 		case FrictionEffectivePressureEnum : return "FrictionEffectivePressure";
 		case FrictionMEnum : return "FrictionM";
@@ -740,5 +762,7 @@
 		case FrictionSedimentCompressibilityCoefficientEnum : return "FrictionSedimentCompressibilityCoefficient";
 		case FrictionTillFrictionAngleEnum : return "FrictionTillFrictionAngle";
+		case FrictionSchoofWaterPressureEnum : return "FrictionSchoofWaterPressure";
 		case FrictionWaterLayerEnum : return "FrictionWaterLayer";
+		case FrictionWaterPressureEnum : return "FrictionWaterPressure";
 		case FrictionfEnum : return "Frictionf";
 		case FrontalForcingsBasinIdEnum : return "FrontalForcingsBasinId";
@@ -853,4 +877,5 @@
 		case SealevelEnum : return "Sealevel";
 		case SealevelGRDEnum : return "SealevelGRD";
+		case SatGraviGRDEnum : return "SatGraviGRD";
 		case SealevelBarystaticMaskEnum : return "SealevelBarystaticMask";
 		case SealevelBarystaticIceMaskEnum : return "SealevelBarystaticIceMask";
@@ -892,25 +917,19 @@
 		case SealevelUNorthEsaEnum : return "SealevelUNorthEsa";
 		case SealevelchangeIndicesEnum : return "SealevelchangeIndices";
-		case SealevelchangeGEnum : return "SealevelchangeG";
-		case SealevelchangeGUEnum : return "SealevelchangeGU";
-		case SealevelchangeGEEnum : return "SealevelchangeGE";
-		case SealevelchangeGNEnum : return "SealevelchangeGN";
+		case SealevelchangeAlphaIndexEnum : return "SealevelchangeAlphaIndex";
+		case SealevelchangeAzimuthIndexEnum : return "SealevelchangeAzimuthIndex";
 		case SealevelchangeGrotEnum : return "SealevelchangeGrot";
+		case SealevelchangeGSatGravirotEnum : return "SealevelchangeGSatGravirot";
 		case SealevelchangeGUrotEnum : return "SealevelchangeGUrot";
 		case SealevelchangeGNrotEnum : return "SealevelchangeGNrot";
 		case SealevelchangeGErotEnum : return "SealevelchangeGErot";
-		case SealevelchangeGsubelOceanEnum : return "SealevelchangeGsubelOcean";
-		case SealevelchangeGUsubelOceanEnum : return "SealevelchangeGUsubelOcean";
-		case SealevelchangeGEsubelOceanEnum : return "SealevelchangeGEsubelOcean";
-		case SealevelchangeGNsubelOceanEnum : return "SealevelchangeGNsubelOcean";
-		case SealevelchangeGsubelIceEnum : return "SealevelchangeGsubelIce";
-		case SealevelchangeGUsubelIceEnum : return "SealevelchangeGUsubelIce";
-		case SealevelchangeGEsubelIceEnum : return "SealevelchangeGEsubelIce";
-		case SealevelchangeGNsubelIceEnum : return "SealevelchangeGNsubelIce";
-		case SealevelchangeGsubelHydroEnum : return "SealevelchangeGsubelHydro";
-		case SealevelchangeGUsubelHydroEnum : return "SealevelchangeGUsubelHydro";
-		case SealevelchangeGEsubelHydroEnum : return "SealevelchangeGEsubelHydro";
-		case SealevelchangeGNsubelHydroEnum : return "SealevelchangeGNsubelHydro";
+		case SealevelchangeAlphaIndexOceanEnum : return "SealevelchangeAlphaIndexOcean";
+		case SealevelchangeAlphaIndexIceEnum : return "SealevelchangeAlphaIndexIce";
+		case SealevelchangeAlphaIndexHydroEnum : return "SealevelchangeAlphaIndexHydro";
+		case SealevelchangeAzimuthIndexOceanEnum : return "SealevelchangeAzimuthIndexOcean";
+		case SealevelchangeAzimuthIndexIceEnum : return "SealevelchangeAzimuthIndexIce";
+		case SealevelchangeAzimuthIndexHydroEnum : return "SealevelchangeAzimuthIndexHydro";
 		case SealevelchangeViscousRSLEnum : return "SealevelchangeViscousRSL";
+		case SealevelchangeViscousSGEnum : return "SealevelchangeViscousSG";
 		case SealevelchangeViscousUEnum : return "SealevelchangeViscousU";
 		case SealevelchangeViscousNEnum : return "SealevelchangeViscousN";
@@ -1114,6 +1133,4 @@
 		case WaterfractionEnum : return "Waterfraction";
 		case WaterheightEnum : return "Waterheight";
-		case FrictionWaterPressureEnum : return "FrictionWaterPressure";
-		case FrictionWaterPressureNoiseEnum : return "FrictionWaterPressureNoise";
 		case WeightsLevelsetObservationEnum : return "WeightsLevelsetObservation";
 		case WeightsSurfaceObservationEnum : return "WeightsSurfaceObservation";
@@ -1227,4 +1244,5 @@
 		case AdjointBalancethicknessAnalysisEnum : return "AdjointBalancethicknessAnalysis";
 		case AdjointHorizAnalysisEnum : return "AdjointHorizAnalysis";
+		case AgeAnalysisEnum : return "AgeAnalysis";
 		case AggressiveMigrationEnum : return "AggressiveMigration";
 		case AmrBamgEnum : return "AmrBamg";
@@ -1297,4 +1315,5 @@
 		case DoubleArrayInputEnum : return "DoubleArrayInput";
 		case ArrayInputEnum : return "ArrayInput";
+		case IntArrayInputEnum : return "IntArrayInput";
 		case DoubleExternalResultEnum : return "DoubleExternalResult";
 		case DoubleMatArrayParamEnum : return "DoubleMatArrayParam";
@@ -1361,4 +1380,6 @@
 		case HydrologyShreveAnalysisEnum : return "HydrologyShreveAnalysis";
 		case HydrologySolutionEnum : return "HydrologySolution";
+		case HydrologySubstepsEnum : return "HydrologySubsteps";
+		case HydrologySubTimeEnum : return "HydrologySubTime";
 		case HydrologydcEnum : return "Hydrologydc";
 		case HydrologypismEnum : return "Hydrologypism";
@@ -1412,4 +1433,6 @@
 		case LovePMTF1tEnum : return "LovePMTF1t";
 		case LovePMTF2tEnum : return "LovePMTF2t";
+		case LoveYiEnum : return "LoveYi";
+		case LoveRhsEnum : return "LoveRhs";
 		case LoveSolutionEnum : return "LoveSolution";
 		case MINIEnum : return "MINI";
Index: issm/trunk/src/c/shared/Enum/Enumjl.vim
===================================================================
--- issm/trunk/src/c/shared/Enum/Enumjl.vim	(revision 27035)
+++ issm/trunk/src/c/shared/Enum/Enumjl.vim	(revision 27232)
@@ -10,4 +10,7 @@
 syn keyword juliaConstC ParametersSTARTEnum
 syn keyword juliaConstC AdolcParamEnum
+syn keyword juliaConstC AgeStabilizationEnum
+syn keyword juliaConstC AgeNumRequestedOutputsEnum
+syn keyword juliaConstC AgeRequestedOutputsEnum
 syn keyword juliaConstC AmrDeviatoricErrorGroupThresholdEnum
 syn keyword juliaConstC AmrDeviatoricErrorMaximumEnum
@@ -108,8 +111,10 @@
 syn keyword juliaConstC CalvingTestIndependentRateEnum
 syn keyword juliaConstC CalvingUseParamEnum
-syn keyword juliaConstC CalvingScaleThetaEnum
-syn keyword juliaConstC CalvingAmpAlphaEnum
-syn keyword juliaConstC CalvingMidpointEnum
-syn keyword juliaConstC CalvingNonlinearLawEnum
+syn keyword juliaConstC CalvingThetaEnum
+syn keyword juliaConstC CalvingAlphaEnum
+syn keyword juliaConstC CalvingXoffsetEnum
+syn keyword juliaConstC CalvingYoffsetEnum
+syn keyword juliaConstC CalvingVelLowerboundEnum
+syn keyword juliaConstC CalvingVelUpperboundEnum
 syn keyword juliaConstC ConfigurationTypeEnum
 syn keyword juliaConstC ConstantsGEnum
@@ -233,4 +238,5 @@
 syn keyword juliaConstC HydrologydcSedimentPorosityEnum
 syn keyword juliaConstC HydrologydcSedimentThicknessEnum
+syn keyword juliaConstC HydrologyStepAdaptEnum
 syn keyword juliaConstC HydrologydcTransferFlagEnum
 syn keyword juliaConstC HydrologydcUnconfinedFlagEnum
@@ -282,5 +288,8 @@
 syn keyword juliaConstC LoveInnerCoreBoundaryEnum
 syn keyword juliaConstC LoveComplexComputationEnum
+syn keyword juliaConstC LoveQuadPrecisionEnum
 syn keyword juliaConstC LoveIntStepsPerLayerEnum
+syn keyword juliaConstC LoveMinIntegrationStepsEnum
+syn keyword juliaConstC LoveMaxIntegrationdrEnum
 syn keyword juliaConstC LoveKernelsEnum
 syn keyword juliaConstC LoveMu0Enum
@@ -294,4 +303,7 @@
 syn keyword juliaConstC LoveUnderflowTolEnum
 syn keyword juliaConstC LovePostWidderThresholdEnum
+syn keyword juliaConstC LoveDebugEnum
+syn keyword juliaConstC LoveHypergeomNZEnum
+syn keyword juliaConstC LoveHypergeomNAlphaEnum
 syn keyword juliaConstC MassFluxSegmentsEnum
 syn keyword juliaConstC MassFluxSegmentsPresentEnum
@@ -380,4 +392,6 @@
 syn keyword juliaConstC SolidearthSettingsElasticEnum
 syn keyword juliaConstC SolidearthSettingsViscousEnum
+syn keyword juliaConstC SolidearthSettingsSatelliteGraviEnum
+syn keyword juliaConstC SolidearthSettingsDegreeAccuracyEnum
 syn keyword juliaConstC SealevelchangeGeometryDoneEnum
 syn keyword juliaConstC SealevelchangeViscousNumStepsEnum
@@ -402,4 +416,7 @@
 syn keyword juliaConstC LoveTimeFreqEnum
 syn keyword juliaConstC LoveIsTimeEnum
+syn keyword juliaConstC LoveHypergeomZEnum
+syn keyword juliaConstC LoveHypergeomTable1Enum
+syn keyword juliaConstC LoveHypergeomTable2Enum
 syn keyword juliaConstC SealevelchangeGSelfAttractionEnum
 syn keyword juliaConstC SealevelchangeGViscoElasticEnum
@@ -506,4 +523,5 @@
 syn keyword juliaConstC SmbT0dryEnum
 syn keyword juliaConstC SmbT0wetEnum
+syn keyword juliaConstC SmbTcIdxEnum
 syn keyword juliaConstC SmbTeThreshEnum
 syn keyword juliaConstC SmbTdiffEnum
@@ -543,4 +561,5 @@
 syn keyword juliaConstC ThermalWatercolumnUpperlimitEnum
 syn keyword juliaConstC TimeEnum
+syn keyword juliaConstC TimesteppingAverageForcingEnum
 syn keyword juliaConstC TimesteppingCflCoefficientEnum
 syn keyword juliaConstC TimesteppingCouplingTimeEnum
@@ -559,4 +578,5 @@
 syn keyword juliaConstC ToolkitsTypesEnum
 syn keyword juliaConstC TransientAmrFrequencyEnum
+syn keyword juliaConstC TransientIsageEnum
 syn keyword juliaConstC TransientIsdamageevolutionEnum
 syn keyword juliaConstC TransientIsesaEnum
@@ -595,4 +615,5 @@
 syn keyword juliaConstC AdjointyShearEnum
 syn keyword juliaConstC AdjointzEnum
+syn keyword juliaConstC AgeEnum
 syn keyword juliaConstC AirEnum
 syn keyword juliaConstC ApproximationEnum
@@ -724,4 +745,5 @@
 syn keyword juliaConstC FrictionCoefficientEnum
 syn keyword juliaConstC FrictionCoefficientcoulombEnum
+syn keyword juliaConstC FrictionCoulombWaterPressureEnum
 syn keyword juliaConstC FrictionEffectivePressureEnum
 syn keyword juliaConstC FrictionMEnum
@@ -731,5 +753,7 @@
 syn keyword juliaConstC FrictionSedimentCompressibilityCoefficientEnum
 syn keyword juliaConstC FrictionTillFrictionAngleEnum
+syn keyword juliaConstC FrictionSchoofWaterPressureEnum
 syn keyword juliaConstC FrictionWaterLayerEnum
+syn keyword juliaConstC FrictionWaterPressureEnum
 syn keyword juliaConstC FrictionfEnum
 syn keyword juliaConstC FrontalForcingsBasinIdEnum
@@ -844,4 +868,5 @@
 syn keyword juliaConstC SealevelEnum
 syn keyword juliaConstC SealevelGRDEnum
+syn keyword juliaConstC SatGraviGRDEnum
 syn keyword juliaConstC SealevelBarystaticMaskEnum
 syn keyword juliaConstC SealevelBarystaticIceMaskEnum
@@ -883,25 +908,19 @@
 syn keyword juliaConstC SealevelUNorthEsaEnum
 syn keyword juliaConstC SealevelchangeIndicesEnum
-syn keyword juliaConstC SealevelchangeGEnum
-syn keyword juliaConstC SealevelchangeGUEnum
-syn keyword juliaConstC SealevelchangeGEEnum
-syn keyword juliaConstC SealevelchangeGNEnum
+syn keyword juliaConstC SealevelchangeAlphaIndexEnum
+syn keyword juliaConstC SealevelchangeAzimuthIndexEnum
 syn keyword juliaConstC SealevelchangeGrotEnum
+syn keyword juliaConstC SealevelchangeGSatGravirotEnum
 syn keyword juliaConstC SealevelchangeGUrotEnum
 syn keyword juliaConstC SealevelchangeGNrotEnum
 syn keyword juliaConstC SealevelchangeGErotEnum
-syn keyword juliaConstC SealevelchangeGsubelOceanEnum
-syn keyword juliaConstC SealevelchangeGUsubelOceanEnum
-syn keyword juliaConstC SealevelchangeGEsubelOceanEnum
-syn keyword juliaConstC SealevelchangeGNsubelOceanEnum
-syn keyword juliaConstC SealevelchangeGsubelIceEnum
-syn keyword juliaConstC SealevelchangeGUsubelIceEnum
-syn keyword juliaConstC SealevelchangeGEsubelIceEnum
-syn keyword juliaConstC SealevelchangeGNsubelIceEnum
-syn keyword juliaConstC SealevelchangeGsubelHydroEnum
-syn keyword juliaConstC SealevelchangeGUsubelHydroEnum
-syn keyword juliaConstC SealevelchangeGEsubelHydroEnum
-syn keyword juliaConstC SealevelchangeGNsubelHydroEnum
+syn keyword juliaConstC SealevelchangeAlphaIndexOceanEnum
+syn keyword juliaConstC SealevelchangeAlphaIndexIceEnum
+syn keyword juliaConstC SealevelchangeAlphaIndexHydroEnum
+syn keyword juliaConstC SealevelchangeAzimuthIndexOceanEnum
+syn keyword juliaConstC SealevelchangeAzimuthIndexIceEnum
+syn keyword juliaConstC SealevelchangeAzimuthIndexHydroEnum
 syn keyword juliaConstC SealevelchangeViscousRSLEnum
+syn keyword juliaConstC SealevelchangeViscousSGEnum
 syn keyword juliaConstC SealevelchangeViscousUEnum
 syn keyword juliaConstC SealevelchangeViscousNEnum
@@ -1105,6 +1124,4 @@
 syn keyword juliaConstC WaterfractionEnum
 syn keyword juliaConstC WaterheightEnum
-syn keyword juliaConstC FrictionWaterPressureEnum
-syn keyword juliaConstC FrictionWaterPressureNoiseEnum
 syn keyword juliaConstC WeightsLevelsetObservationEnum
 syn keyword juliaConstC WeightsSurfaceObservationEnum
@@ -1218,4 +1235,5 @@
 syn keyword juliaConstC AdjointBalancethicknessAnalysisEnum
 syn keyword juliaConstC AdjointHorizAnalysisEnum
+syn keyword juliaConstC AgeAnalysisEnum
 syn keyword juliaConstC AggressiveMigrationEnum
 syn keyword juliaConstC AmrBamgEnum
@@ -1288,4 +1306,5 @@
 syn keyword juliaConstC DoubleArrayInputEnum
 syn keyword juliaConstC ArrayInputEnum
+syn keyword juliaConstC IntArrayInputEnum
 syn keyword juliaConstC DoubleExternalResultEnum
 syn keyword juliaConstC DoubleMatArrayParamEnum
@@ -1352,4 +1371,6 @@
 syn keyword juliaConstC HydrologyShreveAnalysisEnum
 syn keyword juliaConstC HydrologySolutionEnum
+syn keyword juliaConstC HydrologySubstepsEnum
+syn keyword juliaConstC HydrologySubTimeEnum
 syn keyword juliaConstC HydrologydcEnum
 syn keyword juliaConstC HydrologypismEnum
@@ -1403,4 +1424,6 @@
 syn keyword juliaConstC LovePMTF1tEnum
 syn keyword juliaConstC LovePMTF2tEnum
+syn keyword juliaConstC LoveYiEnum
+syn keyword juliaConstC LoveRhsEnum
 syn keyword juliaConstC LoveSolutionEnum
 syn keyword juliaConstC MINIEnum
